View Issue Details

IDProjectCategoryView StatusLast Update
0009614FPCDatabasepublic2014-03-04 15:27
Reporterjavivf Assigned ToJoost van der Sluis  
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Fixed in Version2.6.4 
Summary0009614: function Locate doesn't work with TMemDataset
Descriptionfunction Locate doesn't work with TMemDataset
TagsNo tags attached.
Fixed in Revision25986
FPCOldBugId0
FPCTarget-
Attached Files

Relationships

has duplicate 0014651 closedJoost van der Sluis Locate method and Filter property do not work 
related to 0022051 closedReinier Olislagers TMemDataSet filter does not work 

Activities

Marco van de Voort

2007-10-07 07:36

manager   ~0015203

Could you please submit an example +datafiles demonstrating the bug? Then other people than Joost might also be able to look in to it, and it wouldn't take so long

2007-10-09 20:34

 

testMemDataSet.zip (4,319 bytes)

javivf

2007-10-09 20:40

reporter   ~0015299

I sumited a little example made with lazarus. Is it sufficient? (This is my first report O:)

Joost van der Sluis

2009-01-11 14:23

manager   ~0024364

I doubt that it will ever be implemented for TMemDataset. Try TBufDataset instead

LacaK

2013-11-06 07:13

developer   ~0071164

Implemented in rev.25946

Marco van de Voort

2013-11-06 19:02

manager   ~0071166

Fixed by Lacak as reported

Issue History

Date Modified Username Field Change
2007-09-05 11:21 javivf New Issue
2007-09-05 11:21 javivf Widgetset => Win32
2007-09-19 11:57 Vincent Snijders Project Lazarus => FPC
2007-09-19 15:53 Jonas Maebe Status new => assigned
2007-09-19 15:53 Jonas Maebe Assigned To => Joost van der Sluis
2007-09-19 15:54 Jonas Maebe FPCOldBugId => 0
2007-09-19 15:54 Jonas Maebe FPCTarget => -
2007-09-19 15:54 Jonas Maebe Category - => Database Components
2007-09-19 15:54 Jonas Maebe Product Version 0.9.23 (SVN) =>
2007-10-07 07:36 Marco van de Voort Note Added: 0015203
2007-10-09 20:34 javivf File Added: testMemDataSet.zip
2007-10-09 20:40 javivf Note Added: 0015299
2009-01-11 14:23 Joost van der Sluis Note Added: 0024364
2009-09-25 16:42 Joost van der Sluis Relationship added has duplicate 0014651
2012-05-18 17:47 Juha Manninen Relationship added related to 0022051
2013-11-06 07:13 LacaK Note Added: 0071164
2013-11-06 19:02 Marco van de Voort Fixed in Revision => 25946
2013-11-06 19:02 Marco van de Voort Note Added: 0071166
2013-11-06 19:02 Marco van de Voort Status assigned => resolved
2013-11-06 19:02 Marco van de Voort Fixed in Version => 2.7.1
2013-11-06 19:02 Marco van de Voort Resolution open => fixed
2014-03-04 15:27 Jonas Maebe Fixed in Revision 25946 => 25986
2014-03-04 15:27 Jonas Maebe Fixed in Version 2.7.1 => 2.6.4